godo.Signals.ListAgentSessions()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Signals.ListAgentSessions(ctx context.Context, agentID string, opts *godo.SignalsListAgentSessionsOptions) (*godo.SignalsListAgentSessionsResponse, *godo.Response, error)Description
ListAgentSessions lists sessions for an agent.
This method sends a GET request to /v1/signals/agents/{}/sessions.
Parameters
agentIDstring requiredopts*godo.SignalsListAgentSessionsOptions
Fields of godo.SignalsListAgentSessionsOptions
SignalsListAgentSessionsOptions are query params for GET /agents/{id}/sessions.
SignalsCursorPageOptionsgodo.SignalsCursorPageOptionsStartTime*int64EndTime*int64SignalType[]string
Returns
- *godo.SignalsListAgentSessionsResponse
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.SignalsListAgentSessionsResponse
SignalsListAgentSessionsResponse is GET /agents/{environment_id}/sessions.
Edges[]godo.SignalsSessionEdgePageInfogodo.SignalsPageInfo
Request Sample
Response Example
More Information
See GET /v1/signals/agents/{}/sessions in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.